> ## Documentation Index
> Fetch the complete documentation index at: https://docs.codex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# apiToken

> Get the active short-lived api token for this api key by the short-lived token. apiToken query reference: arguments and response fields.

## GraphQL

```
type Query {
  # Requires a Growth or Enterprise plan.
  apiToken(
    token: String!
  ): ApiToken!
}

type ApiToken {
  id: String!
  token: String!
  expiresTimeString: String!
  requestLimit: String!
  remaining: String
}
```

### Example

[Test this query in the Explorer →](https://docs.codex.io/explore.md)

```graphql theme={null}
{
  apiToken(token: "<your-short-lived-token>") {
    id
    token
    expiresTimeString
    requestLimit
    remaining
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.